commit:     45fde8d328a100e70c1532942053859fdc2b21ef
Author:     William Hubbs <williamh <AT> gentoo <DOT> org>
AuthorDate: Thu Apr 28 15:28:29 2016 +0000
Commit:     William Hubbs <williamh <AT> gentoo <DOT> org>
CommitDate: Thu Apr 28 15:29:55 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=45fde8d3

dev-lang/go: ppc64le updates for #581278

Add proper support for ppc64 to go_arch and display GOROOT_BOOTSTRAP
to allow debugging this for new architectures in the future.

Package-Manager: portage-2.2.26

 dev-lang/go/go-1.6.2.ebuild | 3 +++
 1 file changed, 3 insertions(+)

diff --git a/dev-lang/go/go-1.6.2.ebuild b/dev-lang/go/go-1.6.2.ebuild
index 57ca2c7..07d84b0 100644
--- a/dev-lang/go/go-1.6.2.ebuild
+++ b/dev-lang/go/go-1.6.2.ebuild
@@ -88,6 +88,8 @@ go_arch()
        case "${portage_arch}" in
                x86)    echo 386;;
                x64-*)  echo amd64;;
+               ppc64)
+                       [[ "$(tc-endian)" = big ]] && echo ppc64 || echo 
ppc64le ;;
                *)              echo "${portage_arch}";;
        esac
 }
@@ -175,6 +177,7 @@ src_compile()
        if [[ ${ARCH} == arm ]]; then
                export GOARM=$(go_arm)
        fi
+       elog "GOROOT_BOOTSTRAP is ${GOROOT_BOOTSTRAP}"
 
        cd src
        ./make.bash || die "build failed"

Reply via email to